Skip to main content
GET
/
vault
/
oauth
/
accounts
cURL
curl --request GET \
  --url https://api.useanima.sh/v1/vault/oauth/accounts \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": "<string>",
      "agentId": "<string>",
      "userId": "<string>",
      "appDefinitionId": "<string>",
      "appSlug": "<string>",
      "appName": "<string>",
      "appIconUrl": "<string>",
      "customAppId": "<string>",
      "grantedScopes": [
        "<string>"
      ],
      "accountLabel": "<string>",
      "accountEmail": "<string>",
      "statusMessage": "<string>",
      "tokenExpiresAt": "2023-11-07T05:31:56Z",
      "lastRefreshedAt": "2023-11-07T05:31:56Z",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

JWT Bearer token obtained from authentication. Pass as: Authorization: Bearer

Query Parameters

agentId

Agent identifier. Optional when using an agent API key (resolved automatically); required when using a master key.

Pattern: ^[0-9a-z]+$
userId
string

Filter by end-user ID (multi-tenant)

appSlug
string

Filter by app slug

status
enum<string>

Filter by status

Available options:
PENDING,
ACTIVE,
EXPIRED,
REFRESHING,
FAILED,
REVOKED

Response

200 - application/json

OK

List of connected OAuth accounts

items
object[]
required

Connected OAuth accounts